# struct UChar | Unicode character. More...
Full name | `KJS::UChar`
Definition | `#include <ustring.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- UChar ()
- UChar (unsigned char h , unsigned char l)
- UChar (unsigned short u)
- UChar (const UCharReference &c)
- unsigned char high () const
- unsigned char low () const
- unsigned short unicode () const
- UChar toLower () const
- UChar toUpper () const

#### Public Members

- static UChar null

## Detailed Description

UChar represents a 16 bit Unicode character. It's internal data representation is compatible to XChar2b and QChar. It's therefore possible to exchange data with X and Qt with shallow copies.

UChar () | ### UChar

Construct a character with value 0.

UChar (unsigned char h , unsigned char l) | ### UChar

Construct a character with the value denoted by the arguments.

Parameters:

h | higher byte
l | lower byte

UChar (unsigned short u) | ### UChar

Construct a character with the given value.

Parameters:

u | 16 bit Unicode value

UChar (const UCharReference &c) | ### UChar

unsigned char high () | ### high

[const]

Returns: The higher byte of the character.

unsigned char low () | ### low

[const]

Returns: The lower byte of the character.

unsigned short unicode () | ### unicode

[const]

Returns: the 16 bit Unicode value of the character

UChar toLower () | ### toLower

[const]

Returns: The character converted to lower case.

UChar toUpper () | ### toUpper

[const]

Returns: The character converted to upper case.

static UChar null | ### null

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:56 2001, using kdoc 2.0a53.